source 'https://rubygems.org'

git_source(:github) do |repo_name|
  repo_name = "#{repo_name}/#{repo_name}" unless repo_name.include?("/")
  "https://github.com/#{repo_name}.git"
end


# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '~> 5.1.5'
# Use sqlite3 as the database for Active Record
# gem 'sqlite3'
# Use Puma as the app server
gem 'puma', '~> 3.7'
# Use SCSS for stylesheets
gem 'sass-rails', '~> 5.0'
# Use Uglifier as compressor for JavaScript assets
gem 'uglifier', '>= 1.3.0'
# See https://github.com/rails/execjs#readme for more supported runtimes
# gem 'therubyracer', platforms: :ruby

# Use CoffeeScript for .coffee assets and views
gem 'coffee-rails', '~> 4.2'
# Turbolinks makes navigating your web application faster. Read more: https://github.com/turbolinks/turbolinks
gem 'turbolinks', '~> 5'
# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 2.5'
# Use Redis adapter to run Action Cable in production
gem 'redis'
gem 'redis-namespace'
gem 'redis-rails'
# Use ActiveModel has_secure_password
# gem 'bcrypt', '~> 3.1.7'

# Use Capistrano for deployment
# gem 'capistrano-rails', group: :development
gem 'mysql2'

gem 'gcm'

gem 'houston'

gem 'execjs'

#gem 'therubyracer'
gem 'swagger-blocks'
gem 'jwt'
gem 'dotenv-rails'
gem 'rack-cors'
gem 'awesome_print'
gem 'chronic'
gem 'whenever', require: false
gem 'sidekiq'
gem 'wdm', '>= 0.1.0' if Gem.win_platform?
gem 'rspec-rails'
gem 'brakeman', require: false
gem 'rubocop', require: false
gem 'savon'
gem 'chunky_png'
gem 'barby', require: %w(barby barby/barcode/code_128 barby/outputter/png_outputter)
gem 'redis-browser'
gem 'lograge'
gem "logstash-event"
gem 'colorize'
gem 'ruby-hmac'
gem 'browser'
gem 'griddler'
gem 'griddler-sendgrid'
gem 'carrierwave'
gem 'ox'
gem 'render_anywhere'
gem 'wicked_pdf'
gem 'wkhtmltopdf-binary'
gem 'chewy'
gem 'kaminari'
gem 'bootstrap4-kaminari-views'
gem 'bunny'

group :development, :test do
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'byebug', platforms: [:mri, :mingw, :x64_mingw]
  # Adds support for Capybara system testing and selenium driver
  gem 'capybara', '~> 2.13'
  gem 'selenium-webdriver'
  gem 'solargraph'
end

group :development do
  # Access an IRB console on exception pages or by using <%= console %> anywhere in the code.
  gem 'web-console', '>= 3.3.0'
  gem 'listen', '>= 3.0.5', '< 3.2'
  # Spring speeds up development by keeping your application running in the background. Read more: https://github.com/rails/spring
  gem 'spring'
  gem 'spring-watcher-listen', '~> 2.0.0'
end

# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]
